> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get entities by multiple tags

> Get a paginated list of entities that have ALL of the specified tags assigned (AND semantics)



## OpenAPI

````yaml /api-specs/cloud/public-api.json get /api/taxonomy/v1/entities
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/taxonomy/v1/entities:
    get:
      tags:
        - Tags
      summary: Get entities by multiple tags
      description: >-
        Get a paginated list of entities that have ALL of the specified tags
        assigned (AND semantics)
      parameters:
        - description: Tag UUIDs (AND semantics)
          name: tagIds
          in: query
          required: true
          explode: true
          schema:
            items:
              type: string
            type: array
        - description: Include descendant tags
          name: includeDescendants
          in: query
          schema:
            type: boolean
        - description: Filter by entity type(s)
          name: entityTypes
          in: query
          explode: true
          schema:
            items:
              type: string
            type: array
        - description: Page size
          name: limit
          in: query
          schema:
            type: integer
        - description: Page offset
          name: offset
          in: query
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/data-taxonomy-service_taxonomy.EntityListResponse
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-taxonomy-service_server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-taxonomy-service_server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-taxonomy-service_server.HTTPError'
components:
  schemas:
    data-taxonomy-service_taxonomy.EntityListResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/data-taxonomy-service_taxonomy.EntityListItem'
        meta:
          $ref: '#/components/schemas/data-taxonomy-service_taxonomy.ListMeta'
    data-taxonomy-service_server.HTTPError:
      type: object
      properties:
        message:
          type: string
    data-taxonomy-service_taxonomy.EntityListItem:
      type: object
      properties:
        appProps:
          $ref: '#/components/schemas/data-taxonomy-service_taxonomy.AppProps'
        datasetProps:
          $ref: '#/components/schemas/data-taxonomy-service_taxonomy.DatasetProps'
        description:
          type: string
        entityId:
          type: string
        entityName:
          type: string
        entityType:
          $ref: '#/components/schemas/data-taxonomy-service_taxonomy.EntityType'
        netappVolumeProps:
          $ref: >-
            #/components/schemas/data-taxonomy-service_taxonomy.NetappVolumeProps
        ownerUsername:
          type: string
        ownerUsernames:
          items:
            type: string
          type: array
        taggedAt:
          type: string
        tags:
          type: array
          items:
            $ref: '#/components/schemas/data-taxonomy-service_taxonomy.TagRef'
    data-taxonomy-service_taxonomy.ListMeta:
      type: object
      properties:
        filters:
          type: object
          additionalProperties:
            type: string
        pagination:
          $ref: '#/components/schemas/data-taxonomy-service_taxonomy.PaginationMeta'
        search:
          type: string
        sort:
          type: string
    data-taxonomy-service_taxonomy.AppProps:
      type: object
      properties:
        status:
          type: string
        url:
          type: string
    data-taxonomy-service_taxonomy.DatasetProps:
      type: object
      properties:
        apiName:
          type: string
        numSnapshots:
          type: integer
    data-taxonomy-service_taxonomy.EntityType:
      type: string
      enum:
        - dataset
        - project
        - project_template
        - model
        - model_version
        - app
        - app_version
        - netapp_volume
        - environment
        - policy
        - policy_version
        - data_source
      x-enum-varnames:
        - EntityTypeDataset
        - EntityTypeProject
        - EntityTypeProjectTemplate
        - EntityTypeModel
        - EntityTypeModelVersion
        - EntityTypeApp
        - EntityTypeAppVersion
        - EntityTypeNetappVolume
        - EntityTypeEnvironment
        - EntityTypePolicy
        - EntityTypePolicyVersion
        - EntityTypeDataSource
    data-taxonomy-service_taxonomy.NetappVolumeProps:
      type: object
      properties:
        apiName:
          type: string
        numSnapshots:
          type: integer
    data-taxonomy-service_taxonomy.TagRef:
      type: object
      properties:
        fullPath:
          items:
            type: string
          type: array
        id:
          type: string
        label:
          type: string
        namespace:
          type: string
    data-taxonomy-service_taxonomy.PaginationMeta:
      type: object
      properties:
        limit:
          type: integer
        offset:
          type: integer
        total:
          type: integer

````

## Related topics

- [Get tags for multiple entities](/api-reference/tags/get-tags-for-multiple-entities.md)
- [Tags](/cloud/platform-capabilities/core-concepts/knowledge-management/tags.md)
- [Get entities by tag](/api-reference/tags/get-entities-by-tag.md)
- [Get a namespace by ID](/api-reference/tags/get-a-namespace-by-id.md)
